import request from '@/utils/request'

// 查询政府颁发的荣誉信息列表
export function listHonors(query) {
    return request({
        url: '/crmGovernmentAwardedHonors/findByPage',
        method: 'get',
        params: query
    })
}

// 查询政府颁发的荣誉信息详细
export function getHonors(id) {
    return request({
        url: '/crmGovernmentAwardedHonors/' + id,
        method: 'get'
    })
}

// 新增政府颁发的荣誉信息
export function addHonors(data) {
    return request({
        url: '/crmGovernmentAwardedHonors',
        method: 'post',
        data: data
    })
}

// 修改政府颁发的荣誉信息
export function updateHonors(data) {
    return request({
        url: '/crmGovernmentAwardedHonors',
        method: 'put',
        data: data
    })
}

// 删除政府颁发的荣誉信息
export function delHonors(id) {
    return request({
        url: '/crmGovernmentAwardedHonors/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delHonorsBatch(ids) {
    console.log(ids);
    return request.post('/crmGovernmentAwardedHonors/delete',ids)
}